# Uses of Enum
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider.Command

## Uses of IUIServiceProvider.Command in org.eclipse.birt.chart.ui.swt.interfaces

Methods in org.eclipse.birt.chart.ui.swt.interfaces that return IUIServiceProvider.Command
Modifier and Type
Method
Description
`static IUIServiceProvider.Command`
IUIServiceProvider.Command.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IUIServiceProvider.Command[]`
IUIServiceProvider.Command.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.ui.swt.interfaces with parameters of type IUIServiceProvider.Command
Modifier and Type
Method
Description
`Object`
IUIServiceProvider.`invoke(IUIServiceProvider.Command command, Object... inData)`
This method will be used by the Chart Builder UI to invoke numerous builder by a specified command.